solution: /submissions/accepted/maarten_backwards_dp_hashset.cpp
version: 2025-02 # use this version of the generators framework

#test_group.yaml:
# One or more of:
# case_sensitive
# space_change_sensitive
# float_absolute_tolerance eps
# float_relative_tolerance eps
# float_tolerance eps
#output_validator_args:

data:
  sample:
    solution:
    data:
      # Some small examples showing to help understanding of the problem.
      - "":
          in.statement: |
            ballooncodingballoonacceptedchallengechallengecoding
            5
            accepted
            balloon
            challenge
            coding
            algorithms
          ans.statement: "yes"
      - "":
          in.statement: |
            nlaiueakuyclocedxlwvxdbiifqjbinucjabzyaqakhohgympi
            5
            aaaaaaaaaa
            bbbbbbbbbb
            aababbb
            aaabbbaaa
            abaaba
          ans.statement: "no"
      - "":
          in.statement: |
            aaaaaaaaaaabbbbbbbbbbaaaaaaaaaaaaaaabbbbbbbbbbbbbb
            5
            aaaaaaaaa
            bbbbbbbbbb
            aabbbbb
            aaaaabbbb
            bbbbba
          ans.statement: "yes"

  secret:
    data:
      - human-many-duplicates-round-robin:
          generate: gen-many-duplicates.py {seed} round-robin
          count: 1 # There's only one possible test case from this generator
      - human-many-duplicates:
          generate: gen-many-duplicates.py {seed} human
          count: 4
      - human-long-words:
          generate: gen.py {seed} human 10
          count: 4
      - human-long-words-rr:
          generate: gen.py {seed} round-robin 10
          count: 4
      - human-random-words:
          generate: gen.py {seed} human random
          count: 4
      - human-medium-words-rr:
          generate: gen.py {seed} round-robin 8
          count: 4
      - human-short-words:
          generate: gen.py {seed} human 6
          count: 4
      - human-short-words-rr:
          generate: gen.py {seed} round-robin 6
          count: 4
      - human-short-fixed-abcde:
          generate: gen.py {seed} human 6 abcde # 5^6 = 15625 > 5000
          count: 4
      - human-fuzz: gen.py 1595166657 human 6 abcde

      - human-smooth-short:
          generate: gen-smooth.py {seed} 6
          count: 4
      - human-smooth-long:
          generate: gen-smooth.py {seed} 10
          count: 4
      - human-smooth-bigram-short:
          generate: gen-smooth-bigram.py {seed} 6
          count: 4
      - human-smooth-bigram-long:
          generate: gen-smooth-bigram.py {seed} 10
          count: 4
      - human-smooth-trigram-short:
          generate: gen-smooth-trigram.py {seed} 6
          count: 4

      - llm-long-words:
          generate: gen.py {seed} llm 10
          count: 5
      - llm-random-words:
          generate: gen.py {seed} llm random
          count: 5
      - llm-short-words:
          generate: gen.py {seed} llm 6
          count: 36
